<?php

use yii\db\Migration;

/**
 * Class m180605_082938_alter_table_article
 */
class m181102_082938_alter_table_article extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('blog_article', 'views', $this->integer()->defaultValue(0));
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('blog_article', 'views');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m180605_082938_alter_table_article cannot be reverted.\n";

        return false;
    }
    */
}
